vlc current

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

vlc current

Post#1 by Rava » 25 May 2012, 07:36

So, instead of using lackware pacages and manually creating a xzm, I tried the slackyd approach. Sytsm: Porteus 1.2rc1, x86-64.

Code: Select all

root@porteus:~# slackyd -u

Repository: slackware [ftp.heanet.ie]
`- Downloading FILELIST.TXT [100 % @ 363.9 KB/s]         
`- Downloading CHECKSUMS.md5 [100 % @ 289.1 KB/s]         
`- Downloading PACKAGES.TXT [100 % @ 230.3 KB/s]         
`- Downloading MANIFEST.bz2 [100 % @ 418.2 KB/s]         
>> Uncompressing MANIFEST.bz2: done.
`- Downloading patches PACKAGES.TXT [100 % @ 29.9 KB/s]          
`- Downloading patches MANIFEST.bz2 [99 % @ 414.5 KB/s]          
>> Uncompressing patches MANIFEST.bz2: done.
`- Downloading extra PACKAGES.TXT [100 % @ 52.4 KB/s]          
`- Downloading extra MANIFEST.bz2 [100 % @ 106.6 KB/s]         
>> Uncompressing extra MANIFEST.bz2: done.
Repository: slacky [darkstar.ist.utl.pt]
`- Downloading FILELIST.TXT [100 % @ 237.2 KB/s]    
`- Downloading PACKAGES.TXT [100 % @ 380.9 KB/s]    
`- Downloading CHECKSUMS.md5 [100 % @ 191.7 KB/s]    
`- Downloading MANIFEST.bz2 [99 % @ 533.8 KB/s]    
>> Uncompressing MANIFEST.bz2: done.

root@porteus:~# slackyd -g vlc

Searching vlc: nothing found.
Do I need to uncomment some lines in the above downloaded file, or add new repository?
Cheers!
Yours Rava

User avatar
fanthom
Site Admin
Site Admin
Posts: 4565
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: vlc current

Post#2 by fanthom » 25 May 2012, 07:58

@Rava

slackyd supports slackware + slacky.eu repos only.
vlc is not available there, but it's present in 32bit slacky.eu (slacky.eu is an exception and number of packages is not equal between archs)
anyway - vlc-2.0.1 is available in official 64bit porteus repo.
please use PPM and get it with a single mouse click.
Please add [Solved] to your thread title if the solution was found.

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: vlc current

Post#3 by Rava » 25 May 2012, 08:09

fanthom wrote:slackyd supports slackware + slacky.eu repos only.
vlc is not available there, but it's present in 32bit slacky.eu (slacky.eu is an exception and number of packages is not equal between archs)
Ohh not so good, then.
fanthom wrote:anyway - vlc-2.0.1 is available in official 64bit porteus repo.
Yep, I tried vlc-2.0.1-x86_64-1alien.xzm and get this:

Code: Select all

VLC media player 2.0.1 Twoflower (revision 2.0.1-0-gf432547)
[0x230db38] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0x233b9e8] main interface error: option qt-volume-complete does not exist
[0x233b9e8] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[0x233b9e8] skins2 interface error: cannot instantiate qt4 dialogs provider
[0x233b9e8] [cli] lua interface: Listening on host "*console".
VLC media player 2.0.1 Twoflower
Command Line Interface initialized. Type `help' for help.
> Segmentation fault
That's what I get when running vlc from the console. When I start it from the start menu, nothing at all happens... :(
Via syslog I get this:

Code: Select all

kernel: [52567.239222] vlc[5569]: segfault at 10 ip 00007
f874f954c0f sp 00007f87336e2b18 error 6 in libnvidia-tls.so.295.20[7f874f954000+
3000]
That above part seems to be a bug in the used nvidia driver, which is nVidia-295.20-porteus-v1.2-rc1-x86_64-1beny.xzm. At least that's what I got via a goo.gl search.

Do I need the qt4 when I run XFCe Porteus? Me thought that already has qt4 included... :unknown:
Cheers!
Yours Rava

User avatar
fanthom
Site Admin
Site Admin
Posts: 4565
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: vlc current

Post#4 by fanthom » 26 May 2012, 21:26

PPM was designed to resolve missing libs so please just use it.
(i have tried that and vlc works ootb in xfce edition)
Please add [Solved] to your thread title if the solution was found.

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: vlc current

Post#5 by Rava » 27 May 2012, 14:47

fanthom wrote:PPM was designed to resolve missing libs so please just use it.
(i have tried that and vlc works ootb in xfce edition)
//edit

I did, and PPM said it would save the merged module in my "Desktop", but it's neither in the user's desktop who runs X, nor in root's desktop, (A folder called /root/Desktop not even exists)

So, where is the merged module?
Cheers!
Yours Rava

beny
Full of knowledge
Full of knowledge
Posts: 723
Joined: 02 Jan 2011, 11:33
Location: italy

Re: vlc current

Post#6 by beny » 27 May 2012, 17:36

rava no folder in desktop but the merged xzm package

User avatar
Rava
Contributor
Contributor
Posts: 1319
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 3.1.0 x86-64 XFCe
Location: Germany

Re: vlc current

Post#7 by Rava » 28 May 2012, 10:30

beny wrote:rava no folder in desktop but the merged xzm package
but it should be in /home/USERNAME/Desktop/ , right?
To be on the user's desktop who runs X, yes?

It is neither on the desktop, nor anywhere else. And when PPM tries to download the 1.1 vlc, the downloaded xzm is just a html error page that tells "404"...
Cheers!
Yours Rava

User avatar
fanthom
Site Admin
Site Admin
Posts: 4565
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: vlc current

Post#8 by fanthom » 29 May 2012, 02:15

@Rava
(A folder called /root/Desktop not even exists)
looks like you have messed with your system a lot :)
please start in 'always fresh' mode and try PPM again.
And when PPM tries to download the 1.1 vlc, the downloaded xzm is just a html error page that tells "404"...
PPM should never try to download non existent modules (1.1 was replaced by 2.0 in the repo some time ago).
your module database must be outdated - please refresh it.
(if you are using rc1 of porteus-1.2 then i suggest to upgrade to rc2 first. some functions in PPM from rc1 were broken. PPM is rc2 performs update automatically at the launch time)

Cheers
Please add [Solved] to your thread title if the solution was found.

Post Reply